#### D.4.19.10 intersectionValRingIdeals

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  intersectionValRingIdeals(intmat V);
  intersectionValRingIdeals(intmat V, intvec grading);

Return:
  The function returns two ideals, both to be considered as lists of monomials. The first is the system of monomial generators of , the second the system of generators of .
  The function returns a list consisting of the ideal given by the input matrix T if one of the options `supp`, `triang`, or `hvect` has been activated. However, in this case some numerical invariants are computed, and some other data may be contained in files that you can read into Singular (see showNuminvs, exportNuminvs).

Background:
  A discrete monomial valuation on is determined by the values of the indeterminates. This function computes the subalgebra for several such valuations , . It needs the matrix as its input.

  This function simultaneously determines the -submodule for integers . (If for all , is an ideal of .) The numbers form the th column of the input matrix.

Note:
  The function also gives an error message if the matrix V has the wrong number of columns.

Example:

    LIB "normaliz.lib";
    ring R=0,(x,y,z,w),dp;
    intmat V[2][5]=0,1,2,3,4, -1,1,2,1,3;
    intersectionValRingIdeals(V);
    ==> [1]:
    ==>    _[1]=y
    ==>    _[2]=xy
    ==>    _[3]=z
    ==>    _[4]=w
    ==>    _[5]=xw
    ==>    _[6]=x2z
    ==>    _[7]=xz
    ==> [2]:
    ==>    _[1]=z2
    ==>    _[2]=xz2
    ==>    _[3]=zw
    ==>    _[4]=xy2z
    ==>    _[5]=y2z
    ==>    _[6]=y2w
    ==>    _[7]=y4
    ==>    _[8]=xy4
    ==>    _[9]=yw2
    ==>    _[10]=w3

See also: diagInvariants; finiteDiagInvariants; intersectionValRings; torusInvariants.

User manual for Singular version 4-0-3, 2016, generated by texi2html.